Advanced roadmap - Error #387

Spent Time link on ticket causes 403 error with Redmine 1.1.0
2011-01-16 23:16 - Emilio Gonzalez Montafia

Status: Resolved Start date: 2011-01-16
Priority: Normal Due date: 2011-01-16
Assignee: Emilio Gonzalez Montafia % Done: 100%
Category: Issues Estimated time: 0.00 hour
Target version: Advanced roadmap 0.2.1

Source: Redmine version:

Detected on version:

Description
MOVED from forum

with advanced roadmap plugin

Processing TimelogController#details (for 192.168.1.10 at 2011-01-14 12:23:43) [GET]

Parameters: {"project_id"=>"exampleO000", "issue_id"=>"123", "action"=>"details", "controller"=>"ti
melog"}

Rendering template within layouts/base

Rendering common/error (403)

Filter chain halted as [:authorize] rendered_or_redirected.

Completed in 47ms (View: 47, DB: 0) | 403 Forbidden [http://example.com/redmine/projects/examplel0
0/timelog/details?issue_1d=123]

without advanced roadmap plugin

Processing TimelogController#index (for 192.168.1.10 at 2011-01-14 12:36:13) [GET]

Parameters: {"project_id"=>"example000", "issue_id"=>"123", "action"=>"index", "controller"=>"time
log"}

Rendering template within layouts/base

Rendering timelog/index

Completed in 203ms (View: 141, DB: 31) | 200 OK [http://example.com/redmine/projects/example000/is
sues/123/time_entries]

Then, for the time being, | modified ":action" in following line...

app\views\issues\show.rhtml (35) : <td class="spent-time"><%= @issue.spent_hours > 0 ? (link_to
1_hours (@issue.spent_hours), {:controller => 'timelog', :action => 'details', :project_id => @proj
ect, :issue_id => Qissue}) : "-" %></td>

to like following...

app\views\issues\show.rhtml (35) : <td class="spent-time"><%= @issue.spent_hours > 0 ? (link_to

1_hours(@issue.spent_hours), {:controller => 'timelog', :action => 'index', :project_id => @projec
t, :issue_id => Q@issue}) : "-" $></td>

Associated revisions

Revision 876e7def - 2011-01-16 22:18 - Emilio Gonzalez Montana
#387

® Fix error on issue view because change from Redmine v1.1.0 on time log link.

History

#1 - 2011-01-16 23:19 - Emilio Gonzalez Montaina
- Due date set to 2011-01-16

- Status changed from In progress to Resolved
- % Done changed from 0 to 100

Redmine v1.1.0 refactoriced the time log links, so the link from the issue show view has been adapted, but with it is still compatible with older
versions.
